Topic: [Share] Fix /lib/mailerfix.rb:8:in `check_auth_args'

Have experienced through that errors when sending an email using UserMailer on your Rails application ? I have the solution for that errors. At least, it works for me. Here it is, take a look.

Open up the file using your file editor. In my case, the file is placed on lib/mailerfix. Then go to line 8 (in my case) and I found the codes like this:

check_auth_args user, secret, authtype if user or secret


After that, you should replace those codes above with the following ones, and it should solve the problem above

if RUBY_VERSION > "1.8.6"
check_auth_args user, secret
else
check_auth_args user, secret, authtype if user or secret
end


Please notice that I use Ruby 1.8.7 when running through that error. And I don't guarantee that it will work for you too. So, try on your own risk.

Source : http://www.kevinhq.com/2012/03/libmaile … wrong.html